Subject: Re: bug#36338: guile-2.2.5 fails to build with -ffast-math

From: Cyprien Nicolas <[email-masked]>
Date: Sun, 7 Jul 2019 15:03:11 +0200

On 27/06/2019 04:57, Mark H Weaver wrote:
> 
> Guile generally assumes that the underlying C implementation will be
> standards compliant.  -Ofast, -ffast-math and related options disregard
> standards compliance.  Among other things, -ffast-math implies
> -ffinite-math-only, which generates code that assumes that all floating
> point values are finite.  However, there's code in Guile's compiler that
> uses +inf.0 and -inf.0 and expects that they will behave as specified in
> IEEE-754.
> 
> So, in summary, I would say that Guile does not support being compiled
> with -Ofast, -ffast-math, or many of the options that -ffast-math
> implies.

Thank you for the clear and detailed explanation. It makes sense.

Cyprien